Loading...
Searching...
No Matches
gtsam::traits< NavState > Struct Reference
Inheritance diagram for gtsam::traits< NavState >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::internal::ManifoldTraits< NavState >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< NavState >))
Public Member Functions inherited from gtsam::Testable< NavState >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< NavState >))
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< NavState >
static TangentVector | Local (const NavState &origin, const NavState &other)
static NavState | Retract (const NavState &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< NavState, NavState::dimension >
static int | GetDimension (const NavState &)
Static Public Member Functions inherited from gtsam::Testable< NavState >
static void | Print (const NavState &m, const std::string &str="")
static bool | Equals (const NavState &m1, const NavState &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::ManifoldTraits< NavState >
enum |
typedef NavState | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/navigation/NavState.h